<?
require_once"../system/start.php";
require_once"../system/sid.php";
require("../config.php");
$tyu="left";
$title="Настройки";
head();
list($row, $myid, $ps, $fs1, $fs2) = check_login($link);

echo "$div1<b>Настройки форума</b>$div9";
if(!isset($go)){

if ($wap==2||$wap==3){echo "<form method=\"post\" action=\"?go=rew\" name=\"auth\">"; }

echo $fs1;
echo "<b>Кол-во сообшений на стр:</b><br/>";
echo $fs2;
echo "<input name=\"max\" size=\"3\" maxlength=\"3\" value=\"$row[max]\" title=\"max\" emptyok=\"true\"/><br/>";
echo $fs1;
echo "<b>Поле ввода:</b><br/>Ширина:";

echo "<input name=\"pole1\" size=\"3\" maxlength=\"3\" value=\"$row[pole1]\" title=\"pole1\" emptyok=\"true\"/> Длина:<input name=\"pole2\" size=\"3\" maxlength=\"3\" value=\"$row[pole2]\" title=\"pole2\" emptyok=\"true\"/><br/>";
echo $fs2;

echo $fs1;
echo "<b>Символов в посте*:</b><br/>";
echo $fs2;
echo "<input name=\"sizep\" size=\"3\" maxlength=\"3\" value=\"$row[sizep]\" title=\"sizep\" emptyok=\"true\"/><br/>";

if ($wap!=1){
echo $fs1;
echo "<b>Развернуть список разделов:</b><br/>";
echo $fs2;
if ($row['razd']==1){
echo "<input type=\"radio\" name=\"razd\" value=\"1\" checked/>Да <input type=\"radio\" name=\"razd\" value=\"0\"/>Нет<br />";
}else{echo "<input type=\"radio\" name=\"razd\" value=\"1\"/>Да <input type=\"radio\" name=\"razd\" value=\"0\" checked/>Нет<br />";
}
echo $fs1;
echo "<b>Отображать форму быстрого ответа в темах:</b><br/>";
echo $fs2;
if ($row['forma']==1){
echo "<input type=\"radio\" name=\"forma\" value=\"1\" checked/>Да <input type=\"radio\" name=\"forma\" value=\"0\"/>Нет<br />";
}else{echo "<input type=\"radio\" name=\"forma\" value=\"1\"/>Да <input type=\"radio\" name=\"forma\" value=\"0\" checked/>Нет<br />";
}
echo $fs1;
echo "<b>Показывать время последнего редактирования сообщений в темах:</b><br/>";
echo $fs2;
if ($row['redp']==1){
echo "<input type=\"radio\" name=\"redp\" value=\"1\" checked/>Да <input type=\"radio\" name=\"redp\" value=\"0\"/>Нет<br />";
}else{echo "<input type=\"radio\" name=\"redp\" value=\"1\"/>Да <input type=\"radio\" name=\"redp\" value=\"0\" checked/>Нет<br />";
}
echo $fs1;
echo "<b>Показывать поле для выгрузки файлов:</b><br/>";
echo $fs2;
if ($row['formf']==1){
echo "<input type=\"radio\" name=\"formf\" value=\"1\" checked/>Да <input type=\"radio\" name=\"formf\" value=\"0\"/>Нет<br />";
}else{echo "<input type=\"radio\" name=\"formf\" value=\"1\"/>Да <input type=\"radio\" name=\"formf\" value=\"0\" checked/>Нет<br />";
}
}else{ // Для вмлecho $fs1;
echo'<b>Развернуть список разделов:</b><br />';
echo $fs2;
if ($row['razd']==1){
echo'<select name="razd"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="razd"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}

echo $fs1;
echo "<b>Отображать форму быстрого ответа в темах:</b><br/>";
echo $fs2;
if ($row['forma']==1){
echo'<select name="forma"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="forma"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}

echo $fs1;
echo "<b>Показывать время последнего редактирования сообщений в темах:</b><br/>";
echo $fs2;
if ($row['redp']==1){
echo'<select name="redp"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="redp"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}

echo $fs1;
echo "<b>Показывать поле для выгрузки файлов (HTML|WEB):</b><br/>";
echo $fs2;
if ($row['formf']==1){
echo'<select name="formf"><option value="1">Да</option>';
echo'<option value="0">Нет</option>';
echo'</select><br />';
} else {
echo'<select name="formf"><option value="0">Нет</option>';
echo'<option value="1">Да</option>';
echo'</select><br />';}

}
if ($wap=="1"){
echo $fs1;
echo "<br /><anchor title=\"go\">Обновить<go href=\"?go=rew\" method=\"post\">";

echo "<postfield name=\"max\" value=\"$(max)\"/>";
echo "<postfield name=\"pole1\" value=\"$(pole1)\"/>";
echo "<postfield name=\"pole2\" value=\"$(pole2)\"/>";
echo "<postfield name=\"razd\" value=\"$(razd)\"/>";
echo "<postfield name=\"forma\" value=\"$(forma)\"/>";
echo "<postfield name=\"redp\" value=\"$(redp)\"/>";
echo "<postfield name=\"formf\" value=\"$(formf)\"/>";
echo "<postfield name=\"sizep\" value=\"$(sizep)\"/>";
echo "</go></anchor>";
echo $fs2;
}else{
echo "<br /><input type=\"submit\" class=\"ibutton\" value=\"Обновить\" name=\"enter\"><br/>";
}
echo "<br /><b>*</b> по сколько символов показывать сообщения.Если в сообщении больше символов, чем указано в этом параметре, то появится ссылка \"Читать все &gt;&gt;\".Если установить 0, то снимается ограничение, но увеличивается размер страницы.\n";
echo $fs1;
echo "<br />$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"./index.php\">Форум</a>$div9";
echo "$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"../enter.php\">На главную</a>$div9";
foot();
exit;
}

$max = check($max);
$pole1 = check($pole1);
$pole2 = check($pole2);
$razd = check($razd);
$forma = check($forma);
$redp = check($redp);
$formf = check($formf);
$sizep = check($sizep);
$emp="Неправильный формат данных!";
if(!preg_match("!^[0-9]+$!i",$max)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$pole1)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$pole2)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$razd)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$forma)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$redp)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$formf)){$error = $emp;}
elseif(!preg_match("!^[0-9]+$!i",$sizep)){$error = $emp;}

if (!isset($error)) {
$result = mysql_query ("Select * users where id = '".$myid."'");
if (mysql_affected_rows() == 0){
$error = "database error...";
}else{
$ins_str = "Update users set max='".$max."', pole1='".$pole1."', pole2='".$pole2."', razd='".$razd."', forma='".$forma."',redp='".$redp."', formf='".$formf."', sizep='".$sizep."' where id ='".$myid."'";
}
if (mysql_query ($ins_str)) {
$msg = "Ваши настройки изменены";
header("Location: ".F."");
}else{
$error = " ".mysql_error()." ";
}
}


if (isset($error)) {
echo $fs1;
echo "<b>$error</b>";
echo "<br />$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"./index.php\">Форум</a>$div9";
echo "$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"../enter.php\">На главную</a>$div9";
foot();
exit;
}

echo $fs1;
echo "<b>$msg</b>";
echo "<br />$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"./index.php\">Форум</a>$div9";
echo "$div1<img src=\"../img/naz.gif\" alt=\"[N]\"/> <a href=\"../enter.php\">На главную</a>$div9";
foot();
?>
